05/12/2012:
Archfile (3):
      levels: new e3m6 from Archfile
      levels: new E2M8 from Archfile
      sprites: TROO[N-U] imp gib frames from Archfile

Brett "Mechadon" Harrell (1):
      levels: two new FreeDM maps from Mechadon

Catoptromancy (8):
      levels: map24 update, reset symlink
      patches: improved camo4 / camo5 / dirbri1 (plutonia)
      levels: new FreeDM maps: 21-23
      levels: fixes for dm{07,10,11,15} from Catoptromancy
      levels: fixes for dm{{01..06},08,09,12} from Catoptromancy
      levels: fixes for dm{12,13,14,16,17} from Catoptromancy
      levels: map12: co-op fix: red door is now D1 stay
      sprites: reduce height of cyberdemon corpse

Fredrik Johansson (2):
      sprites: green cross medikit from Fredrik
      sprites: green cross stimpak from Fredrik

Miguel Suarez Gomez (1):
      levels: new E1M5 from Z0k

Mike Swanson (2):
      Merge branch 'master', remote branch 'rjy/pu'
      levels: replace map24 with e2m2

Mithran Denizen (1):
      sprites: new plasma gun pickup from Mithran Denizen

Protox (5):
      levels: new dm27 from Protox
      levels: updated dm02 from Protox
      levels: updated E1M9 from Protox
      levels: completed E1M9 from Protox
      levels: E2M4: fix lift behind red door

RjY (31):
      map02: use floor light transfer under exit sign (BondEar)
      Revert "levels: remove map19, many errors with boom"
      levels: e3m6: fixes
      CREDITS: add Archfile
      textures: fix Doom1 skies
      levels: e2m8 fixes
      CREDITS: Wesley Johnson and Ulises "Urric Hammersong" Lozano
      CREDITS: field consistency fixes
      sprites: move the berserk box up out of the floor (Catoptromancy)
      musics: relink d_inter, d_bunny (Catoptromancy)
      musics: remove unknown links
      buildcfg: remove a huge block of dead code
      Sharewarendectomy
      flats: buildcfg: remove many duplicate entries (Sodaholic)
      levels: remove spurious D_E3M4 lump from e4m1.wad
      buildcfg: remove some unnecessary #ifdef ULTDOOMs
      buildcfg: use real sprites in FreeDM iwad
      levels: un-coop-dm-ify dm{02,03,09,13,14}
      Revert "patches: FreeDM a few small patches from Ralphis"
      levels: map03: trivial fixes
      levels: map03: trivial fixes (again)
      CREDITS: update Fredrik's info (from http://fredrikj.net/)
      Makefile: omit building monster placeholder sprites
      E2M1: improve METAL1 alignment around sector 108 (BondEar)
      levels: E1M2: change flat around ceiling computers (Protox)
      levels: E1M2: fix texture alignment on window opposite blue door
      patches: apply x offset to M_GD{HIGH,LOW} (shadow1013)
      .gitignore: ignore Yadex backup files (*.bak)
      levels: dm02: stop using GRAY4 as a two-sided middle texture
      levels: e1m1: fix texture alignment on exit switch
      sprites: tidy up unused revenant sprites and symlinks

SgtCrispy (2):
      levels: reworked map03 from SgtCrispy
      levels: map03: update from SgtCrispy

Simon Howard (27):
      levels: dm{02,03,09,14,15} updated for vanilla compatibility
      lumps: DEHACKED
      docs: Minor spelling fixes.
      textures: Fix STEP1-3 textures in Doom 1.
      genmidi: Add Python code for reading OPL instruments.
      genmidi: Move GENMIDI C code to subdirectory.
      genmidi: Add dumped instrument patches.
      genmidi: Add config file for GENMIDI builder.
      genmidi: Add constants for MIDI notes.
      genmidi: Add copyright headers to Python files.
      genmidi: Add .pyc files to .gitignore.
      genmidi: Add option for note offset.
      genmidi: Add script to make GENMIDI lump.
      genmidi: Hook GENMIDI script into build.
      genmidi: Improve GENMIDI Makefile build.
      genmidi: Add a2i-sbi conversion script.
      genmidi: Add README for instrument editing.
      genmidi: Add .gitignore file.
      genmidi: Split off GENMIDI code into separate file.
      genmidi: Add GENMIDI dump script.
      genmidi: Output fixed_note as constant value.
      genmidi: Add some missing percussion instruments.
      genmidi: Detect null instruments when dumping.
      genmidi: Import remaining horncomposer changes.
      genmidi: Pedantic fix to README
      genmidi: Fix waveform warnings for some instruments.
      dmxgus: Add first attempt at GUS config.

Sodaholic (18):
      sprites: new pool of blood from Sodaholic
      sprites: updated berserk/medikit/stimpack from Sodaholic
      sounds: new dspunch from Sodaholic
      sprites: updated medikit, new stimpack/berserk from Sodaholic
      sprites: red version of berserk box from Sodaholic
      sprites: dark red berserk box from Sodaholic
      sprites: updated green medikit/stimpack from Sodaholic
      graphics: new skill level strings from Sodaholic
      sprites: fix TROO* alignment when flipped (Sodaholic)
      sprites: new Keen cat replacement from Sodaholic
      sounds: those accompanying Keen replacement, from Sodaholic
      sprites: imp/caco fireballs from Sodaholic
      graphics: STBAR: updated ammo counter labels from Sodaholic
      flats: FLAT10: remove spurious red pixels (Sodaholic)
      sounds: speed up blazing door sounds (Sodaholic)
      sounds: new imp claw sound from Sodaholic
      sounds: new demon sounds from Sodaholic
      sounds: new chainsaw sounds from Sodaholic

Wesley D. Johnson (7):
      levels: map09 revision 7 (Feb 3, 2011)
      levels: map13 revision 2.2 (Feb 6, 2011)
      sprites: resized revenant from Wesley Johnson
      levels: map09 revision 10 (Jan 4, 2012)
      levels: map13 revision 2.5 (Mar 18, 2012)
      sprites: new pain elemental from Wesley Johnson
      levels: map13 revision 2.6 (May 11, 2012)

Z86 (2):
      sprites: new weapon pickups from Z86
      sprites: edited 4-shells pickup from Z86

nivha & hex11 (1):
      levels: new dm28.wad by nivha and hex11

skib (1):
      levels: FreeDM map from skib

01/22/2011
Andrew Rehberger (1):
      levels: new e2m2 map

Catoptromancy (9):
      levels: Updated map27
      fixed texture1, thanks hawkwind
      levels: fix various issues in maps
      map29: more health and ammo
      patches: fix mc* textures
      levels: fixes to map04 and map06
      levels: map11 and map20 fixes
      levels: fixed map21 and map22
      lumps: Recorded new demos

Matthew Cibulas (2):
      sounds: change oof and death sounds
      sounds: new dspo*, dspunch, dsslop

Miguel Suarez Gomez (1):
      levels: map15 and map28 updates

Mike Swanson (7):
      Change example commit in README and fix formatting in asciidoc.
      buildcfg.txt: Make M_EPISOD appear in doom2.wad
      levels: forgot to ZenNode the previous commit
      sounds: convert fdoof.wav to proper format
      COPYING: add 2010 to the years
      levels: updated map09, new e4m2 from GhostlyDeath, replaced map24

RjY (2):
      levels: fix missing texture on map09
      buildcfg: include correct demos for each iwad

Simon Howard (1):
      build: Update Python scripts to work with Python 3.


09/15/2010
Benjamin Debski (1):
      levels: New map19, replacing the old one

Blackjar72 (1):
      music: add a new d_victor song

Catoptromancy (60):
      patches: Add many patches for Plutonia support
      patches: fix sky[23][abcd] dimensions
      patches: delete camo[23], add brick1, brown2, mosrok2
      patches: New tile that fits in Plutonia-style better
      levels: Improved MAP10 and MAP31
      levels: map05 and map07 fixes
      buildcfg.txt: fix boom 2.02 compatibility
      textures/combined.txt: fix Boom 2.02 compatibility
      map11: Change hangning body in sector 24 to non-blocking type
      map31: Tons of bug fixes
      map10: move the switch people keep complaining about
      sounds: new circular saw sounds, weapon is no longer silent
      sounds: new DSRADIO effect
      levels: new e2m4
      lumps: New demo1 demonstrating how to open a door
      textures: combined.txt complete Plutonia support
      map18: switch in outhouse is now a slow remote door
      e1m7: fix player starts
      map29: fix duplicate player 5 start
      patches: All TNT: Evilution patches
      patches: Fix patches that crash the game
      patches: more fixes and a new buildcfg.txt
      patches: rename dogpanl to doglpanl
      combined.txt: Complete TNT: Evilution support
      combined.txt: Alphabetize and label TNT section
      levels: brand new map19, first level to utilize Plutonia textures
      map23: Make the level beatable and not a trap
      levels: Brand new e3m2 level.
      sounds: bunch of new sounds
      e3m2: Add a version with nodes
      sounds: fixed sounds
      levels: bunches of fixes
      map24: make it a bit more sane
      combined.txt: three tex1 fixes
      combined.txt: Fix a switch alignment
      lumps: New demo1, 2, and 3 lmps for both Doom 2 and Ultimate Doom
      levels: new map31 build
      Fixed music in boom202
      levels: Updated E2M4
      UltFreedoom music is boom202-compatible now
      Fixed music in UFD for boom202
      graphics: UFD endpics
      textures: Sorted scripts, fixed missing textures
      sprites: scaled SSG larger
      status: updated status lists
      sprites: new archvile placeholder
      levels: updated e2m4
      status: more updated status pages
      status: music status updated
      levels: New map13 by wesley
      musics: lots of music by Jute
      levels: finished map13 by Wesley
      musics: Music by jute
      levels: updated wesley map13
      musics: wastedjamacan music and more links
      musics: The rest of Jute's music
      levels: New map09 by Wesley
      patches: FreeDM a few small patches from Ralphis
      levels: update map12
      levels: updated map24

Claude A. Freeman (2):
      sounds: new imp fireball effect
      sounds: add imp fireball hit sound

Colin Kelly (1):
      sounds: new dscybsit

Delano Cuzucoli (1):
      sprites: new hanging body sprites

Eric Baker (1):
      sounds: new SS death and alert sound effects

G. Wessner (1):
      sounds: New dscacsit; move old one to dspesit

GhostlyDeath (1):
      Musics: New music

Jon Dowland (1):
      use Over as compose argument for dummy sprites

Mark McGill-Smith (1):
      musics: new tracks by TheMisterCat, pending final placement

Miguel Suarez Gomez (7):
      levels: new map15
      levels: map15 fix
      levels: map15 fixes
      levels: Brand new map28 level.
      levels: new map28 build
      levels: map28 update
      levels: map15 and map28 updates

Mike Swanson (26):
      graphics: Add raw font files back to the tree
      map25: various fixes; thanks anonymous bug reporter
      map10: various fixes; thanks anonymous bug reporter
      map13: fix exiting the level; thanks anonymous bug reporter
      textures: fix wall texs for consistency; thanks anonymous bug reporter
      patches: swap sw2s[01] and rw48_[24]; thanks hawkwind for the tip!
      Replace reasoning of `git commit -s` in the README
      various: remove files with unnnecessary executable bits
      musics: DANGER WILL ROBINSON, COPYRIGHTED MUSIC
      Merge branch 'v0.6.4'
      COPYING: Turned my calendar, found out it's 2009 already
      titlepic: Make the ultimate target have its own title
      patches: Remove placeholder.gif symlink
      CREDITS: Update for GhostlyDeath
      CREDITS: Add RottKing
      CREDITS: Add Bank
      sounds: remove catoptromancy/dscybsit.wav
      buildcfg: put a Cyberdemon sound into the doom.wad target
      Makefile: add doc target to make pretty HTML-ized versions of documents
      doc/graphics:  Change to shorter URL.
      levels: remove MAP32, it will be built with the dummy level instead
      levels: fix map09 symlink
      remove a backup file that got included by mistake
      levels: remove map19, many errors with boom
      FreeDM: add a FREEDM lump for source port detection
      Tag v0.7-rc1 and add lumps/freedm.lmp to .gitignore

Patrick Kalinauskas (3):
      map29: Change things and rebuilt nodes
      map05: some fixes
      levels: newer map27 almost done except for difficulty levels

RjY (8):
      e3m8: restore symlink, remove corrupted version
      e3m8: Fix three solid hanging bodies in tall sectors
      buildcfg.txt: add E2M4 intermission screen title
      patches: remove patches whose names clash with flats
      titlepic: update .gitignore
      levels: build REJECT lumps for several maps
      sprites: fix hellknight rotation frames
      sprites: remove unused hellknight frame BOS2C2C8

Siggi (1):
      map02: Completely new map02!

Simon Howard (4):
      textures: Fix up some switch textures (thanks Gez)     Signed-off-by: Simon Howard <fraggle@gmail.com>
      Update CREDITS, remove unused txt file.     Signed-off-by: Simon Howard <fraggle@gmail.com>
      BUILD-SYSTEM: rewritten document.
      sprites: Add death frames for lost soul.

Svante Ekholm (3):
      levels: New map10, move old map10 over the map12 slot
      levels: newer map10 build
      levels: updated map10

Torn (1):
      levels: E3M8 recovered!

Ulises "Urric Hammersong" Lozano (1):
      sprites: new cyberdemon

Wesley D. Johnson (3):
      levels: updated map09 and map13
      levels: new map13 build
      sprites: new spider demon

cato (1):
      levels: Updated map13 by Wesley

06/15/2009

Freedoom 0.6.4.  Removing illegally copied music from the repository.

All of metabolist's files are removed, there are no further changes in
this release (holding off all other changes until some higher number).

01/01/2009

Freedoom 0.6.3!  See git history for the full list of changes and
differences, shortlog follows:

Catoptromancy (4):
      levels: fixed errors in maps
      sprites: added new Hell Knight and Pain Elemental sprites
      lumps: Add demo1
      e1m2: Fix to be fully compatible in doom1.wad

Jon Dowland (2):
      silence colormap.py
      quieten deutex

Mike Swanson (11):
      Added .gitignore files
      titlepic: version from `git describe` if available
      Documentation: rewrote most of README, reformatted COPYING
      wadinfo-builder.pl: change license to BSD
      lumps/genmidi: Update OpenBSD-derived code to newer license
      Add copyrights, remove latest/ directory
      Change website URL in documents
      README: Clarify the usage of Boom 2.02
      buildcfg: Separate demos to specific IWAD targets
      README: Fix 50% of the TODO sections :-)
      VERSION: Bump to 0.6.3

RjY (17):
      Add doom.wad object target
      Add makefile section to build doom.wad
      Build wadinfo_ult.txt, needed by udoom iwad target
      Remove levels/e3m8.wad symlink
      Update .gitignore and clean target
      Define ULTDOOM when building wadinfo and texture1 for udoom
      Include doom pnames in buildcfg.txt when ULTDOOM is defined
      Add SKY4 to Ultimate Doom build
      Add acc_e2m2 as E1M2
      Minor fixes to acc's E1M2
      Add acc to CREDITS
      Shareware-compatible version of acc_e2m2 from Catoptromancy
      acc_e2m2: rebuild REJECT
      Add URL to ENDOOM
      Add Catoptromancy's ENDOOM lump instead
      Add free-fun.wad by Siggi and link it as map32
      Add Siggi to CREDITS

Simon Howard (17):
      Change build to use simplecpp for preprocessing, as this does not munge
      Convert makepkgs script to Python.
      Convert extract-pnames script to Python.
      Convert sanity-check script to Python.
      Convert wadinfo-builder script to Python.
      Convert simplecpp script to Python.
      Move scripts that are part of the build system into scripts/.
      Merge branch 'master' of git://git.savannah.nongnu.org/freedoom
      Convert colormap.py to Python.
      Fix Makefile.
      Convert playpal generator script to Python.
      Minor fix to wadinfo-builder script.
      Fix Makefile dist: .pl -> .py
      Fix colormap script: leftover debugging code meant that all colormaps were at the same level.
      wadinfo-builder: Convert assignment overrides to lower case.
      Merge branch 'master' of git://git.savannah.nongnu.org/freedoom
      README: Add some initial level design guidelines.

14/03/2008

Fixes to MAP14 by The Green Herring.

13/03/2008

Fixed MAP18 from Catoptromancy.

12/03/2008

New sound by CSonicGo; map various sound sfx to empty slots.

05/03/2008

Include all patches in all IWADS, to prevent crashes with WADs that use custom
TEXTURE1 lumps. Also, take this opportunity to fix some long-standing bug
issues in MAP10 and MAP18. Improve MAP02 (remove secret exit switch); add an
exit switch to the unfinished MAP12; add a new MAP14. Tweaked MAP05 to prevent
an area you can get stuck in, courtesy of Catoptromancy.

27/02/2008

add sounds/nthompson - replacement rocket launch and explosion.

24/02/2008

Replace texture definitions in combined.txt with new ones, created in a
cleanroom environment (see tools/cleanroom).

Freedoom 0.6-rc2 tagged in subversion.

21/01/2008

Updated map24 from catoptromancy

14/01/2008

Remove some of WildWeasel's sound effects, see
<http://www.doomworld.com/vb/freedoom/42189-fair-use-confession/>

03/01/2008

Freedoom 0.6-rc1 tagged in subversion.

21/08/2006

Freedoom 0.5 released.
aggregation of changes in the SVN log to date:
	* new sprites:
		* sg; thanks Gargoylol
		* ssg, rl, plasma; thanks Fredrik
		* revenant, thanks Gargoylol
		* WIP Baron, thanks Lokito
		* barrel sprites from Fredrik
	* New sprite placeholders:
		* map revenant fireball sprite frames to others
		* Use the AOD skeleton as a "not done yet" sprite
			* map arch-vile to this
			* map cyberdemon to this
		* generate HK, PE, Mastermind placeholders using
		  baron, caco, arachnotron respectively
	* Level tweaks:
		* E1M1: fix lights in DM corridor (jond)
		* E1M3: misc updates (fraggle)
		* E1M4: remove berserk (crashes game) (jond)
		* MAP01: rotate last section 90 degrees (jond)
		* MAP02: more space in column-room (jond)
	* New sounds:
		* mancubus pain; thanks David Lawrence
		* dsbarexp, dspistol, dsrlaunc; thanks Gargoylol
	* Many updated flats/patches from Fredrik
	* add colormaps to freedoom_graphics.wad (jond)
	* lots of build system tweaks (jond, fraggle)
	* new packages added to release:
		* distribute freedm with freedoom
		* distribute source archive snapshot

15/08/2006

new chaingun from fredrik

25/06/2006

new sounds from gargoylol: dsbarexp, dspistol, dsrlaunc
new shotgun sprite from gargoylol
new ssg from fredrik
new rocket launcher from fredrik

03/03/2006

replaced GLASS* textures with 64px wide equivalents

adjusts TEXTURE1 lumps accordingly

re-enabled GLASS* textures on E1M1

0.4.1 released

27/12/2005

updated e1m1,e1m8 (bugfixes: jond)

various textures and flats added to DOOM build

0.4 released

23/12/2005

updated e1m1 from jond

mfademap (lump) from jond

build ulatest.wad: latest.wad for ultimate doom

fix ppmcaption -> ./ppmcaption for titlepic

map04 from macro11_1

new stf* graphics from scuba steve

new sound dssgtatk (demon bite) from gargoylol

new sound dsslop from jond

new sound dsclaw from joed

new sound dsmandth from gargoylol + jond

24/12/2004

e2m1 from shadowrunner

changed dummy sound file to be an empty sound rather than a beep

removed mancubus sound effects

updated chaingun from cheapalert

22/12/2004

completed map01 from spaceforce

completed map03 from sgtcrispy

new chaingun from cheapalert

07/02/2004

Added hires flats from tony: mflr8_2, flat19, flat5_3, floor4_8,
floor6_[12], flat1, mflr8_3, rrock{03,09,20}

Added archvile sounds from hyena

dsbosdth sound from beefstupid

12/01/2004

added dsstnmov sound from isle

07/01/2004

tgrn, tblu (green, blue torches) replacements from godcells

updated e3m1 from sargebaldy

31/12/2003

Updated map03 from sgtcrispy

e1m8 from godcells

tred (red torch) replacement from godcells

10/12/2003

Add map22 from boris(tarin)

Rebuild all levels in ZenNode to fix rendering bugs under legacy

4/12/2003

Added missing multiplayer starts to dummy level

Fixed map10 door not opening (bug #820880)

28/10/2003

Add new status bar face from kinkyfriend

19/10/2003

Fix dsskeswg sound effect which was named dskeswg.wav
Fix inconsistencies in status files

9/10/2003

Fix missing imp explosion death sprites (dummy). To stop crashes
under legacy.

22/8/2003

e1m3 update from fraggle

27/8/2003

Chaingun sergeant replacement from geekmarine

21/8/2003

e3m1 from sargebaldy

10/8/2003

The ChangeLog is now in reverse chronological order.

8/8/2003

The FREEDOOM lump now contains the current version. Modified the 
TITLEPIC screen to display the latest version also. Shuffled textures
around so that the shareware build now works. Added missing graphic
lumps for Doom I intermission screens ("YOU ARE HERE", etc)

7/8/2003

Add fsku(floating skull rock) sprite from ajapted

Updated e1m4, e1m6 from geekmarine

28/7/2003

sswv (wolfenstein/sailor) sprite from ajapted

13/7/2003

Finished e1m4 from geekmarine

In dev e1m6 from geekmarine

Column sprites from ajapted (COL[123456])
POL3, SMT2 sprites from ajapted

21/6/2003

Added hires textures from railgunner:
flats: ceil4_2 floor6_2
patches: w46_37 w46_38 w46_39

10/6/2003

Modified build system to build "latest.wad", which contains all the 
stuff added since the last release.

Added Jon Rimmer's RMS head boss brain sprite.

Added Silverwyverns new sky backdrop (sky3)

Added david_a's sprites (pob1, brs1)

26/4/2003

mancubus fireball (manf) from espi

16/4/2003

v0.1 release

4/4/2003

fixed map05 not linked in

3/4/2003

e3m8 from torn

30/3/2003

updated e1m4 from geekmarine
bfg sound effects from julian
map05 update from amarande
dsoof, dsnoway sounds from wildweasel
map10 update from archvile46

24/3/2003

updated tech column from mouse

21/3/2003

arachnotron replacement from mouse
tech column (elec) replacement from mouse

9/3/2003

chaingun pickup sprite from fraggle

8/3/2003

added ssg replacement from scubasteve (yay!)
chainsaw pickup sprite from ravage

26/2/2003

fist replacement from scubasteve

20/2/2003

updated pistol from scubasteve

18/2/2003

added new pistol from scubasteve

31/1/2003

fixed map02 from tarin

added map12 from wildman

21/1/2003

finished map02 from tarin

11/12/2002

added map23 from submerge

ceil3_[3456] replacements from espi

dsswtchn, dsswtchx, dsshotgn replacements from wildweasel

9/11/2002

created CREDITS file (contributors page is now autogenerated from this)

removed dead levels - map04, map12 (assigned but undeveloped)

updated map25 from cyb

added dummy demo lumps for iwad build

touched up the shotgun guy sprites a bit - fraggle

8/11/2002

fixed lost soul flying backwards (thanks enjay)

6/11/2002

demon replacement from scubasteve

dskeen{pn,dt} from hyena

4/11/2002

fix dssgcock, dswpnup (thanks isle)

30/10/2002

map10 update from archvile46

agb128_1 hires texture from darkstalker

22/10/2002

final map26 from torn

final map26 from torn (REALLY final this time, for real honest)

16/10/2002

map26 update from torn

add fredriks new bfg replacement (sorry about the delay)

colorised fredriks old skag projectile blue and added it in (fraggle)

14/10/2002

in dev map27 from bastetfurry

in dev map26 from torn

11/10/2002

boscub sound from bloodshedder

9/10/2002

map13 from lurker

sgcock and wpnup sound effects from bloodshedder

27/9/2002

updated map03 from sgtcrispy

26/9/2002

updated map03 from sgtcrispy

19/9/2002

finished (?) map25 from cyb

finished e1m7 from archvile47

fixed missing textures from build system

sprites from fredrik (updated/replaced):
bexp, bpak, clip, pmap, shel, shot, suit
replacement nukage[123] flats from fredrik

13/9/2002

added halluc.mid from woolie wool to musics/woolie

9/9/2002

Freedoom back up on sourceforge. Thanks to the SourceForge guys for 
hosting freedoom, especially as it is not the kind of project they 
usually host (normal sourceforge policy is to reject projects of this
kind).

.wad files in wads/ download directory have been made unreadable; 
please download the compressed .wad.gz files.

added graphics/titlepic/output.png as a png converted copy of the
output titlepic file; this allows viewing it from your web browser.

20/8/2002

e1m7 in dev map from archvile46

map25 in dev update from cyb

e4m1 in dev update from nb_nmare

d_e1m5 music from ralphis

14/8/2002

e4m1 from nb_nmare
updated comp04_[56] patches from nb_nmare

updated textures from fredrik: bcrate[lmr]1, gcrate[lmr]1, sgcrate2,
sw11_[1245], sw12_[1245], sw15_[1346], sw16_[1246], sw17_[123456]
sw18_[57], sw19_[1234], vgcrate1, wall05_2

13/8/2002           

updated patches from fredrik: rp1_[12], rp2_[1234], rw10_[1234], rw25_[1234]
        rw38_3, support2, tp2_[12], tp3_[12], tp5_[1234], tp7_[12],
	w113_[123], wall02_[123], wall62_[12]


updated e1m1 from jon^d

updated map25 from cyb

updated textures from nb_nmare: rw37_[1234], rw39_1

4/8/2002

Fixed the view map script (Thanks ari)
submitted a story for doom episode 1
- Jon

e1m4 in dev map from geekmarine
map31 in dev from oblivion
pol2 sprite replacement from geekmarine

forwarded 6 hires textures from the hires project:
floor6_[12], mflr8_[24], rrock19, rrock20

---------- part of changelog missing --------

updated e1m4 from geekmarine
                    
2/8/2002

wall62_1 replacement from fredrik
fogmap from oblivion
map02 in progress from tarin

1/8/2002

e1m3 in progress from fraggle
e1m9 in progress from ajapted

29/7/2002

boom colormaps from cyb

bfg from twice risen (converted to sprites by railgunner)

28/7/2002

added linguicas skeleton demon sprite replacements

27/7/2002

sprites from geekmarine: cbra, pol1, pol6

d_e1m1 from ralphis (in mid format, waiting for mus conversion)

mus converted d_e1m1 from ralphis

25/7/2002

updated map25 from cyb

fixed shtgb0 y offset (thanks railgunner)
more build system cleanup (now uses a combined config file and cpp to split
it up)

23/7/2002

added waterfall textures (wfall[1-4]) from mmnpsrsoskl (dsells)

added static waterfall textures (sfall for static sfall[1-4], etc.)
at request of jon

build cleanup: removed hires_build.pl: this is now done by the makefile
only new or changed hires textures will be converted now which saves time
changed the build logging to dump all into one file (build.output) which
displays the output from make. Wrapper "build" script to run make redirecting
all output.

20/7/2002

updated patches from espi:
ag128_[12], agb128_1, cyl1_1, door15_3, door2_[135], doortrak,
rw32_[123], rw47_1, support2, t14_[35], tomw2_[12], ttall1_2,
w13_[1a], w15_[456]
updated flats:
flat2[23]

made AASTINKY 32 wide instead of 24 - this is a fix on the original.
textures are supposed to be powers of 2 in width

17/7/2002

AOD sprites from Linguica (baron and demon replacements). I am not sure 
what enemies we will replace with these yet so they are not currently
linked in.

updated map18 from zigmund

14/7/2002

in progress map08 from railgunner
in progress map25 from cyb
replacement sw19_[1234] from espi for new startan (back to new startan 
for testing)

11/7/2002

reverted to old startan (the new ones have been kept in 
patches/espi/new_startan/)

map18 update from zigmund

replacement smbt/smgt (blue/green torches) sprites from me (fraggle)

8/7/2002

rw25_[1234] from espi
texture replacements from espi: w33_8, wall01_[123456789abc]
replacement startan (old startan are archived in patches/espi/old_startan/
  - sw??_?

font from ajapted: placed in http://freedoom.despayre.org:81/art/font/

5/7/2002

map18 update from zigmund

27/6/2002

Added e1m1 by me (Jon), stopped external links opening in a new window
(thats what the shift key is for, IE users)

22/6/2002

level 18 from zigmund (3/4 complete)

14/6/2002

smrt (small red torch) replacements by me (fraggle)

13/6/2002

added keen graphics (mewsefish) - by me (fraggle)
the death animation sucks, people are welcome to improve it if they 
wish.


9/6/2002

Added 'Display all Graphics' to status page - Jon

25/5/2002

help/help1 from cph

intermission graphics from ajapted: wibp[1234], wicolon, wienter, wif, wifrgs
wiklrs, wiminus, wimstar, wimstt, winum[0-9], wiostf, wiosti, wiostk, wiosts,
wip[1234], wipar, wipcnt, wiscrt2, wisucks, witime, wivctms

wilv/cwilv graphics from ajapted

24/5/2002

wimap* replacements from ajapted

21/5/2002

menu graphics from ajapted:

m_detail, m_disopt, m_disp, m_endgam, m_episod, m_gdhigh, m_gdlow,
m_hurt, m_jkill, m_lgttl, m_loadg, m_messg, m_msens, m_msgoff,
m_msgon, m_musvol, m_newg, m_ngame, m_nmare, m_option, m_optttl,
m_pause, m_quitg, m_rdthis, m_rough, m_saveg, m_scrnsz, m_sfxvol,
m_sgttl, m_skill, m_svol, m_ultra

20/5/2002

map03 from sgtcrispy
map05 temporarily removed (crashes prboom and doom legacy)

added in dummy entries for wia* map animations, wisplat, wiurh[01]
wimap* are linked to interpic

add graf_extract.pl to forward graphic offsets from wadinfo.txt
to wadinfo_sw.txt

17/5/2002

bossback, m_doom graphics from ajapted

15/5/2002

bosf sprites, m_doom graphic from ajapted

14/5/2002

rw19_[12] reverted to espi versions (jstepp versions clash)

12/5/2002

ammnum[0-9], brdr_*, m_ls* replacements from ajapted

9/5/2002

tfog, ifog, pins, bon2 sprites from ajapted
dsplpain, dspopain replacements from wildweasel

8/5/2002

updated textures from espi:
wall00_[5678], wall57_[1234], wall62_[12], wla128_1
sw11_[1245], sw12_[1245], sw15_[1346], sw16_[1246], sw17_[123456]
sw18_[57], sw19[1234]
sw[124]s[01]

hires patches: wall62_[12], wla128_1

6/5/2002

bon2 (armor helmet) replacement from ajapted

5/5/2002

improved w103_[12] from fraggle

5/5/2002

w105_1, wolf[234567] replacement from ajapted
rw12_1, rw15_[34], rw16_[1234], rw19_[12], rw21_[12345] replacements
from jeremy stepp

Symlinked wall48_1 to w108_1 (temporary blank wall until the baron
replacement is done)

wall51_2 replacement from espi
wall51_3, rsky3 replacements from fredrik

doom2 textures finished!

wall57_[1234] replacements from fredrik
wall03_3 replacement from fredrik
w109_[12], w110_1 replacements from fredrik
wall51_1 replacement from fredrik

fix wadinfo.txt.real (some patches were missing and werent being built in)

wall03_1 replacement from espi (was missing from patches list)

all doom1 and doom textures are now done!

25/4/2002

added map32 replacement from andrew apted

14/4/2002

hires patches from fredrik: wall47_2, sw1s[01]

updated map17 from nrkn

29/3/2002

plasma rifle sprite (pickup sprite) from adamizer

20/3/2002

backpack sprite from submerge (bpaka0); sound from submerge (dspopain)
(note: new wads haven't been built) - Jon

12/3/2002

patches from spinspyder: rw47_[34], rw48_[1234]

2/3/2002

Sync with doom2tr

27/2/2002

Hires rw33_1 from fredrik

21/2/2002

Merge with doom2 retexturing project!
Added patches_hi and flats_hi directories - pngs are converted to tgas
for use in JDoom, and dumped into the "hires" dir. This is zipped up
to freedoom_hires.zip automaticall.
All hires textures from other directories moved into hires dirs.

26/1/2002

updated shotgun guy sprites from saint of killers

updated chainsaw from fredrik

7/1/2001

replacement fwater/nukage flats from fredrik

5/1/2002

improved titlepic by saint of killers

patches from espi: body_[12], rw24_[1234]

wolf1 from espi

25/12/2001

updated textures from fredik:
door2_4, door9_[12] rw33_[1234] rw38_[12], rw46_4, slime1[456]

10/12/2001

plat2_1 replacement from nrkn
work in progress map17 from nrkn

1/12/2001

shotgun guy from saint of killers!!

sounds from enjay!:
barexp, brsdth, brssit, bspsit, cacdth, cacsit, claw, flame,
keswq, kntdth, kntsit, pedth, pepain, pesit, sgtatk, sgtdth,
sgtsit, skesit

tblu, tgrn, tred from nrkn (coloured light column replacements)

rsky2 replacement from nrkn

updated map30 from cacodemon leader

25/11/2001

updated map30 from cacodemon_leader

19/11/2001

music from captmellow (->d_ultima)
last of the musics replaced (now we need to replace the crap ones)

17/11/2001

map04 from metabolist!!
smbt[abcd]0, smgt[abcd]0, smrt[abcd]0, tblu[abcd]0, 
tgrn[abcd]0, tred[abcd]0, bal2[abcde]0 sprites from spinspyder

musics from metabolist:
map09, 11, 12, 13, 14, 15, 20, 21, 22, 23, 25, 27, 29
some of these are updates for previous musics, but lots are new!
thanks!

15/11/2001

patches from espi(some updates, some new):
wall30_[234], wall48_[1234], wall50_[12], wall58_[123], wall59_[1234]
sprites: gorl(hanging dude)

13/11/2001

updates from espi:
mwall1_[12], mwall2_1, mwall3_1, mwall4_[12]
mwall5_1, rw36_[13], rw39_2, rw7_[23],
new textures:
wall30_[234], wall42_[56], wall47_45]

6/11/2001

wolf9 from isle

patches from isle: door2_3, ps15a0, w13_8

5/11/2001

updated vines from espi(w10[67]_1)

updates for rw30_[123] from espi

4/11/2001

boss face texture from deathmaster213!!!

2/11/2001

map06 from mystic!

fixed zombieman death frame from saint of killers

1/11/2001

zombieman from saint of killers!!!

patches from espi: body_[12], rw24_[1234]
                   w10[67]_1

rsky1 from espi

map16 from hyena!

31/10/2001

d_dead2 from hyena

rsky3 from fredrik
(rsky3 from lazer as well, I like fredriks better though. sorry :()

armor sprites from fredrik

wall22_1, wall23_[12] from fredrik

30/10/2001

textures from linguica!!
w10[123]_[12], w9[89]_[12], wall25_1

29/10/2001

player sprites from saint of killers with shadows removed

26/10/2001

Updated player sprites from saint of killers (with shadows)

non-ear hurting sounds (dsgetpow and dsposact) from hyena

23/10/2001

d_romero, d_read_m from hyena

19/10/2001

map20 from lazer

13/10/2001

w92_[12] from csabo

11/10/2001

julians d_stalks moved to d_shawn2 (map19)
d_stalks (map02) from csabo

8/10/2001

musics for map09, map11-15 from metabolist

7/10/2001

fist replacement from damienc

4/10/2001

Apologies for the delays to recent submissions.

Fixed Sprites from Saint of Killers

A work in progress map12 replacement from MDenham

A mid from scragadelic

28/9/2001

d_stalks from julian

dsgetpow, dsposact from edd

23/9/2001

textures from espi:
rw42_[134], rw43_1, rw46_[23], rw8_[1234]
rrock16

22/9/2001

hell5_[12], hell6_[23], hell8_[124] from espi
interpic from espi

updated map05 from amarande

dsmanatk, dsmandth, dsmansit, dsmnpain from cacodemon_leader

genmidi lump from cph

21/9/2001

shotgun #3 from fredrik

20/9/2001

updated crates, w64b_[12], wall64_2 from fredrik

19/9/2001

it was discovered that flat5_3 was marked as done when it was actually
not, so we were actually at 99.3% flats instead of 100%. I have temporarily
linked it to a similar looking flat, but it would be good if someone could
do a replacement flat5_3!

TROO (imp) and HEAD (cacodemon) replacements from nightfang!

flat5_3 from espi (thanks :)

updated plasma rifle from Julian

18/9/2001

spine3_[12], spine4_1 from espi 

wall49_[1234], wall58_[123], wall59_[1234], wall42_1, wall47_3, wall48_[1234]
from espi

map05 from amarande!

17/9/2001

updated(fixed) player sprites from saint of killers

converted mids from hyena

fixed sound effects from julian

a mid from captmellow

pldeth (player death) sound from spike

16/9/2001

player sprites from saint of killers!!!

comp01_[156], comp1b_4, comp1c_6 from cph

ceil3_[12], flat22, flat3, flat5_2, flat9, floor0_[567], mflr8_2
updates from espi

15/9/2001

map30 from cacodemon_leader

fixed impsounds from geekmarine

dsplasma, dspstop from julian

puff, blud sprites from geekmarine

wall21_[135] from cph

bal1 sprite from geekmarine

fixed map30 from cacodemon_leader

bal1, puff, blud, dsbgsit* temporarily unlinked (incorrect palette
on background colour, one of the sounds is in the wrong format)

fixed sprites (bal1, puff, blud)

Added a script to make a png representation of a map on the status
page based on some works by Tom Robinson. - Jon

my mistake - the dsbgsit sounds were ok, it was julians sounds that
are in the wrong format

13/9/2001

Updated map29 from Amarande

12/9/2001

patches from espi: rw19_[1234], rw20_[1234], rw26_[234],
rw27_2, rw28_3, rw31_[12], rw32_3, rw36_[13], rw39_2,
rw41_2, rw5_[1234]

rw45_1 from airraid

midi from AndrewB: "balancing act"

completed level from amarande: map29!

sw2_[34] from kks (please contact me, you left no contact address)
updated chaingun sprites from kks

11/9/2001

ceye sprite (the eye) from isle

10/9/2001

hdb[1-6] (hanging corpses) from espi

rw24_[34], rw1_4 from airraid

updates for hanging corpses from espi
mwall4_1 update from espi

9/9/2001

wolf1[347] from pickle_hammer

pol4 from airraid
rw37_4 from airraid
wall57_1 from airraid

patches from jonr:
r28_2 (?), rw28_2, rw36_2, rw43_[34]

patches from isle:
wolf13, wolf14, wolf17

shotgun sprite from captmellow

patches added in that are identical to existing flats:
flat23->w13_1, lava[1-4] -> rwdm11[a-d]

a better plasma rifle from fredrik

fixed w13_1 from isle

d_read_m update from hyena

8/9/2001

flamp, w13_a, w15_[456] from cph

updated mancubus sprites from saint of killers

7/9/2001

mancubus sprites from saint of killers!!

6/9/2001

w74a_[12], w74b_1 from cph
rw28_4, wolf11, wolf18 from cph

fixed rw33_[23] (airraid) which were not being built in

5/9/2001

d_evil (map31) from hyena

4/9/2001

genmidi lump from cph
ttall1_2 from cph

Updated blood flats from espi

Updates for w65b_1 and w65b_2 from airraid

patches from cph:
doortrak, w73a_[12], w73b_1, wolf10, wolf12

BFG Replacement from fredrik

3/9/2001

comp03_7 and rw37_1 added (were not being built in)

2/9/2001

pistol psprite from espi
updated patches: rw37_1, wall24_1

rsky2 from hyena

shotgun psprite removed by popular demand :)

1/9/2001

updated mwall5_1 from espi (another demon face)

31/8/2001

Patches from espi:
mwall5_1, rw44_[24], sw2_[34], w94_1, wall24_1, wall42_1,
wall47_3
sound: dsbgact

d_dead2 from ralphis

30/8/2001

patches from kman: door3_[456], sw2_[56], t14_5

plasma sprites from hyena: plss, plse, apbx, apls

fixed sound effects from sgtcrispy

PUFF bullet puffs from picklehammer

29/8/2001

TLP2 Replacement from Sir Fragsalot

mwall5_1 replacement from espi - Marble demon face

Fixed smita0 (was an interlaced gif and was appearing weird in game)

28/8/2001

TechLamp (TLMP) sprite from Sir Fragsalot

Relinked in Vicious's submitted midi "Surrounded Panic" as the music
for map17. This is a randomly chosen level - it is not intended to
be its final placement. Quite a few of the midis in general will need
to be reshuffled to fit the levels.

27/8/2001

Updated patches from nrkn (less similar to the originals)

Updates from espi for rw12_[23]

Musics from picklehammer:
countd ddtblu dead dm2int dm2ttl doom intro introa openin shawn the_da

Note: some of these have already been submitted but were submitted as
.mids. I meant to convert these to mus but havent got round to it yet.
When I convert them I will put them in instead, as technically they
were submitted first and should have priority.

Map21 from Amarande

Converted all held-back midis

The sound effects submitted by SgtCrispy yesterday are screwed up in
some way and are not being converted - I have unlinked them until I
can fix the problem.

26/8/2001

Replacement sounds from SgtCrispy:
dsbgdth[12], dsbgsit[12], dsbgact, dssklatk

Updates for the "face" wall textures (demon faces etc):
mwall4_[12], mwall5_1

Patches from nb_nmare:
comp02_4, comp03_[67], rw23_[34], rw38_4

Patch from nrkn: tscrn4 

25/8/2001

m_skull replacements from Isle

24/8/2001

New patches from espi:
door15[124], rw11_2, rw12_1, rw15_[1234], rw16_[1234], rw21_[12345]
Updates:
ladder16, rw12_[23], wall03_4

Patches from nrkn:
door2_[15], t14_3, wall03_1 

wall05_2 replacement from nb_nmare

fixed tlite6_* flats from nb_nmare (correct shape)

23/8/2001

New patches from espi:
nukedge, wla128_1, rw14_1, wall03_4, wall04_[23457]

22/8/2001

wall78_1 replacement from meat_head

berserk pack replacement from dsells 

21/8/2001

New/updated patches from nb_nmare:
hell8_[24], rw22_*, rw35_*, wall01_*, wall47_2

20/8/2001

New patches from espi:
door1[12]_1, ladder16, m1_1, ripw15, step[01..10]
updated stuff:
fcan[abc]0, floor0_[123], floor5_[23]

d_betwee replacement from csabo, and also an ENDOOM replacement

wall49_4 temporarily unlinked as it is too narrow and causing 
"column without a patch" errors.

Added dynamic titlepic: shows the build date and time. ppmcaption
is a very useful little program ;)

replacements for the menu "thermometers" from isle

First finished level! map07 replacement from tarin

Fixed wall49_4 from airraid

rw32_2 from lazer

19/8/2001

Added a "FREEDOOM" lump at the suggestion of Quasar - this is so that
ports can tell that the FreeDOOM iwad is being used.

Added replacement patches from airraid - fix for alignment problems.

Added d_runnin music from csabo

There are several other musics which have been contributed and are not 
currently being built because they are in .mid format and deutex
needs .mus :(.  I will convert these as soon as possible.

Added some sound effects from Eddddd: dstelept and dsslop replacements.
I am currently only building in dstelept as i'm not sure the slop
sound sounds right.

16/8/2001

Added a replacement for rw46_4 based on the slime16 flat. Credited to 
Tarin since he made the image :)

Added Rocket sprites from the Hyena TC

sw2_7 and sw2_8 patches from isle
w108_2, 3, 4 from isle

dsitmbk and dstink replacements from edd

15/8/2001

Lots of wall patches from fredrik: 5 doors (although they are still work
in progress apparently), rp1_*, rp2_*, an updated support2 (based on 
maonths earlier texture), tp2_*, tp3_*, tp5_*, tp7_*, wall02_*

More patches from fredrik: comp02_*, several comp03_* and comp04_*,
and tscrn*

13/8/2001

Added the ruby gun from Doom:Millenium (submitted by Lu:t). The frames
are designed for use with a dehacked patch. I have set them up using 
some of the frames for the plasma rifle, but they are not supposed to
be permanent. It needs to be decided which frame goes where...

Added cons1_9: east facing console, this is "missing" from the original 
doom flats list

Added powerup sounds by Hyena

Added Draconio_SoundFX.zip : currently the dspos* sounds are the only ones
linked in

12/8/2001

Rewrote builder script in perl.

Added rw18_3 and rw18_4 replacements - my own work, colourised versions
of rw18_1 and rw18_2

11/8/2001

Started Maintaining a ChangeLog.

Received missingflats.zip from espi filling in some of the last holes in
the flats. All flats are now done or assigned. Also snak7_1 and snak8_1 to
patches.

Added mewses status bar replacement.

Added fredriks circular saw graphics - replacement for the chainsaw

Added vilefire.zip - updated archvile fire sprites from espi

jond_last_three_flats!.zip from Jon^D - the last remaining flats. We now
have all the flats done.

